---
type: api
title: Create enrollment API key
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-create-enrollment-api-keys
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-create-enrollment-api-keys
products:
  - Kibana
---

# Create enrollment API key

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/fleet/enrollment_api_keys`
- `POST` `/s/{space_id}/api/fleet/enrollment_api_keys`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

## Request Body

`application/json`

- `name` (string) — optional
  The name of the enrollment API key. Must be unique.
- `policy_id` (string) — required
  The ID of the agent policy the Elastic Agent will be enrolled in.

## Responses

#### `200`

OK

`application/json`

- `action` (enum)
  Values: `created`
- `item` ({})
  - `active` (boolean)
    When false, the enrollment API key is revoked and cannot be used for enrolling Elastic Agents.
  - `api_key` (string)
    The enrollment API key (token) used for enrolling Elastic Agents.
  - `api_key_id` (string)
    The ID of the API key in the Security API.
  - `created_at` (string)
  - `id` (string)
  - `name` (string)
    The name of the enrollment API key.
  - `policy_id` (string)
    The ID of the agent policy the Elastic Agent will be enrolled in.
#### `400`

Generic Error

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (number)
## Code Examples

#### Console

```console
POST /api/fleet/enrollment_api_keys
```

#### curl

```curl
curl -X POST "https://{kibana_url}/api/fleet/enrollment_api_keys" \
  -H "kbn-xsrf: true"
```

